@import url('https://fonts.googleapis.com/css2?family=Alegreya:ital,wght@0,400..900;1,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dynalight&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bonheur+Royale&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Alegreya", serif;
}
body{
    background-color: black;
}
/* navbar & header-section */
.header {
    display: flex!important;
    justify-content: space-between!important;
    align-items: center!important;
    background-color: rgb(0, 0, 53)!important;
    padding: 15px 30px!important;
    position: fixed!important;
    width: 100%!important;
    top: 0!important;
    left: 0!important;
    z-index: 1000!important;
}

.logo {
    color: white;
    font-size: 20px;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
}

.azeefolio {
    color: rgb(255, 52, 52);
}

.nav-bar {
    flex: 1!important;
    display: flex!important;
    justify-content: flex-end!important;
}

.nav-menu {
    list-style: none!important;
    display: flex!important;
    gap: 20px!important;
}

.nav-item {
    display: inline-block!important;
}

.nav-link {
    text-decoration: none!important;
    color: grey;
    font-size: 18px;
    transition: color 0.3s!important;
}

.nav-link:hover {
    color: white;
}
#menu-icon {
    display: none!important;
    font-size: 28px!important;
    color: white!important;
    cursor: pointer!important;
    position: absolute!important;
    top: 15px!important;
    right: 30px!important;
}
@media (max-width: 768px) {
    .nav-menu {
        display: none!important;
        flex-direction: column!important;
        position: absolute!important;
        top: 60px!important;
        right: 0!important;
        background: rgb(0, 0, 53)!important;
        width: 100%!important;
        text-align: center!important;
        padding: 15px 0!important;
        transition: all 0.5s;
    }
    
    .nav-menu.active {
        display: flex!important;
    }
    
    .nav-item {
        padding: 10px 0!important;
    }
    
    #menu-icon {
        display: block!important;
    }
}